"""
Author: David W. Schere, XML toolkit
Copyright (C) 1998 DIDX llc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
02111-1307, USA.

        Demonstrate the use of the WIDL doc ument object.
        This is a look alike of the Java Script document
        object, it repesents an html form as a tree.
"""
from WIDLDocObject import DocClient
from XMLProcessor import XMLProcessor

c = DocClient()
x = XMLProcessor( c )
x.run( "example2.html" )

# get the doc object
doc = c.getGrove()


# print contents to stdout
print "This is a tree representation of example2.html"
doc.dump_structure()
print 

# make a subtree
body = doc.HTML[0].BODY[0]


text = body.TABLE[0].TR[0].TD[0].text
print "body.TABLE[0].TR[0].TD[0].text = ", text


# create a region that represents the first row of the table
region = body.subTree( body.TABLE[0].TR[0], body.TABLE[0].TR[1])

print "region structure"
region.dump_structure()



